Summary: A C implementation of SRS.
Name:		libsrs_alt
Version:	1.0
Release:	4%{?dist}
License:	GPL
Group:		System Environment/Libraries
URL:		http://srs.mirtol.com/
Vendor:		Miles Wilton <http://srs.mirtol.com/>

Source0:	http://srs.mirtol.com/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a complete standalone C implementation of the SRS (Sender
Rewriting Scheme) and includes a command line utility and daemon, test
utility and static and dynamic libraries. SRS is a stop-gap for users
of SPF (Sender Policy Framework).

libsrs_alt has been hugely successful and has been running on hundreds
of mail servers without fault. It has now been released with a couple
of minor updates and some code optimizations.

%package	devel
Summary:	Development tools for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q

%build
export CFLAGS="%{optflags}"

%configure
%{__make} %{?_smp_mflags}

%install
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS MTAs/README.EXIM AUTHORS COPYING
%{_bindir}/srs
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so


%changelog
* Sat Feb 05 2011 Denis Fateyev <denis@fateyev.com> - 1.0-4.el5.denf
- Rebuild for rpmforge

* Thu Feb 04 2010 Denis Fateyev <denis@fateyev.com> - 1.0-3.el5
- Bump to 1.0release
- Cleanup for rhel/centos 5 and `devel` package

* Mon Jul  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0rc1.

* Sat Feb 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
